Class | Nokogiri::HTML::Document
In: | lib/nokogiri/ffi/html/document.rb lib/nokogiri/html/document.rb ext/nokogiri/html_document.c
Parent: | XML::Document

call-seq:

     meta_encoding

Get the meta tag encoding for this document.

### Methods

fragment meta_encoding meta_encoding= new new parse read_io read_memory serialize type

### Public Class methods

new

Create a new document

new(*args)
parse(string_or_io, url = nil, encoding = nil, options = XML::ParseOptions::DEFAULT_HTML) {|options if block_given?| ...}

Parse HTML. `thing` may be a String, or any object that responds to read and close such as an IO, or StringIO. `url` is resource where this document is located. `encoding` is the encoding that should be used when processing the document. `options` is a number that sets options in the parser, such as Nokogiri::XML::ParseOptions::RECOVER. See the constants in Nokogiri::XML::ParseOptions.

read_io(io, url, encoding, options)

Read the HTML document from `io` with given `url`, `encoding`, and `options`. See Nokogiri::HTML.parse

read_memory(string, url, encoding, options)

Read the HTML document contained in `string` with given `url`, `encoding`, and `options`. See Nokogiri::HTML.parse

### Public Instance methods

fragment(tags)

Create a Nokogiri::XML::DocumentFragment from `tags`

meta_encoding

Get the meta tag encoding for this document.

meta_encoding=

Set the meta tag encoding for this document.

serialize(*args)

Serialize this Document with `encoding` using `options`

type

The type for this document

[Validate]